Get Contact by email
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
|
Email of contact |
string |
Required |
Body Parameters :
None.
Response Information
Resource Description :
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "7767a251-7978-4c68-b175-cac6a69db36c",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "aa71451f-9321-4ab5-9909-c4edf940545d",
"company_code": "sample string 5",
"company": {
"id": "b1a9f302-c8d3-4919-9786-d2334f94c368",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-20T16:09:58.0863795+00:00",
"sales_territory_id": "f58343ef-53ee-4cad-a928-aedf407e3be3",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "f7c0a515-8a19-44bf-8719-6fae8cc5f25d",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "47bb64ca-1759-4e29-9e14-df3e0f56a337",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "e5f932bc-499d-4d05-9a1b-eb22d16a75d3",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "466b8e3c-e842-4503-a268-3fafd5bf2a36",
"db_currency_id": "18a77e95-fcc1-4040-a4cf-15ec710d1b66",
"db_language_id": "a49fd122-d55d-4a8a-8bd5-d5a17fd7195d",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-20T16:09:58.0863795+00:00"
},
"modified_dateutc": "2026-10-20T16:09:58.0863795+00:00"
},
"marketing_segment_id": "2c137548-d42e-4c41-8df5-537e1ca58620",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "386c59f2-e429-4d87-b323-e4710b53331d",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "8cac3a99-3dd2-4b34-93d9-9650c44da462",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "65bda05d-7281-4e82-be01-9a8c135614f1",
"db_country_code": "sample string 28",
"feelist_id": "c1b82d16-7c09-4bbc-986e-076ed9cfd32c",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "72fd7635-df77-4979-a74d-f69d9b698500",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "19ce3c5e-7169-4f95-ace4-1df04465df82",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-20T16:09:58.1036417+00:00",
"db_currency_id": "d35dadf2-6bea-4452-92e1-c5673736c4f4",
"db_currency_code": "sample string 10"
},
"company_type_id": "f4d1336b-befa-4428-b6d9-44c31c84dbbd",
"company_type_name": "sample string 32",
"company_type": {
"id": "fe1eb780-1dc8-41cc-bb10-b7764b7736a7",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "013e677f-0d03-4bc9-96b8-06ab1a5dda54",
"sales_organization_code": "sample string 5"
},
"db_language_id": "2995f51f-e611-4a88-91b6-f9d27428fb9c",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "42064e22-86f9-4357-aad5-946e3557c403",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "e3ae0238-67e4-42da-a925-223b852b1711",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "79047b9b-e61a-4020-9763-b5815cfc046d",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-20T16:09:58.1036417+00:00"
},
"company_sector_id": "b50948f3-fdf2-4bfe-9a37-45e85e5c7935",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "2836e4a1-7fd8-4278-bca9-90049ae77f8e",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "b3a4bc94-5e83-42ac-9bd0-ecf9fb73fb3a",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "1e058e7d-4c4c-4065-8668-f783f1440bfe",
"account_manager_user_code": "sample string 56",
"company_status_id": "aee029c8-caf0-4731-b9a3-5f8fe03a8cb7",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-20T16:09:58.1036417+00:00",
"id2": 60
},
"db_language_id": "b9cc714c-c909-43e2-b9fe-fbc2d27fcca6",
"db_language_code": "sample string 7",
"db_title_id": "5a55cbd4-fb62-4d73-b32a-500605e38b35",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-10-20T16:09:58.1036417+00:00",
"create_date": "2026-10-20T16:09:58.1231942+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-10-20T16:09:58.1231942+00:00"
}